org.richfaces.taglib

## Class InputNumberSpinnerTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.InputNumberSpinnerTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class InputNumberSpinnerTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputNumberSpinnerTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAccesskey(javax.el.ValueExpression __accesskey)` This attribute assigns an access key to an element.
    `void` | `setClientErrorMessage(javax.el.ValueExpression __clientErrorMessage)` An error message to use in client side validation events Setter for clientErrorMessage
    `void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
    `void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
    `void` | `setCycled(javax.el.ValueExpression __cycled)` If "true" after the current value reaches the border value it is reversed to another border value after next increasing/decreasing.
    `void` | `setDisableBrowserAutoComplete(javax.el.ValueExpression __disableBrowserAutoComplete)` Disable browser's auto completion.
    `void` | `setDisabled(javax.el.ValueExpression __disabled)` When set for a form control, this boolean attribute disables the control for your input Setter for disabled
    `void` | `setEnableManualInput(javax.el.ValueExpression __enableManualInput)` if "false" your's input to the text field using keyboard will be locked.
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
    `void` | `setInputClass(javax.el.ValueExpression __inputClass)` Class attribute for text field Setter for inputClass
    `void` | `setInputSize(javax.el.ValueExpression __inputSize)` Attribute specifies the initial length of input in characters.
    `void` | `setInputStyle(javax.el.ValueExpression __inputStyle)` Style attribute for text field Setter for inputStyle
    `void` | `setLabel(javax.el.ValueExpression __label)` A localized user presentable name for this component.
    `void` | `setMaxValue(javax.el.ValueExpression __maxValue)` Maximum value.
    `void` | `setMinValue(javax.el.ValueExpression __minValue)` Minimum value.
    `void` | `setOnblur(javax.el.ValueExpression __onblur)` The client side script method to be called when the element loses the focus Setter for onblur
    `void` | `setOnchange(javax.el.ValueExpression __onchange)` The client side script method to be called when the element value is changed Setter for onchange
    `void` | `setOndownclick(javax.el.ValueExpression __ondownclick)` HTML: a script expression; a button "Down" is clicked Setter for ondownclick
    `void` | `setOnerror(javax.el.ValueExpression __onerror)` HTML: a script expression; event fires whenever an JavaScript error occurs Setter for onerror
    `void` | `setOnfocus(javax.el.ValueExpression __onfocus)` The client side script method to be called when the element gets the focus Setter for onfocus
    `void` | `setOninputclick(javax.el.ValueExpression __oninputclick)` HTML: a script expression; a pointer button is clicked Setter for oninputclick
    `void` | `setOninputdblclick(javax.el.ValueExpression __oninputdblclick)` HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick
    `void` | `setOninputkeydown(javax.el.ValueExpression __oninputkeydown)` HTML: a script expression; a key is pressed down Setter for oninputkeydown
    `void` | `setOninputkeypress(javax.el.ValueExpression __oninputkeypress)` HTML: a script expression; a key is pressed and released Setter for oninputkeypress
    `void` | `setOninputkeyup(javax.el.ValueExpression __oninputkeyup)` HTML: a script expression; a key is released Setter for oninputkeyup
    `void` | `setOninputmousedown(javax.el.ValueExpression __oninputmousedown)` HTML: script expression; a pointer button is pressed down Setter for oninputmousedown
    `void` | `setOninputmousemove(javax.el.ValueExpression __oninputmousemove)` HTML: a script expression; a pointer is moved within Setter for oninputmousemove
    `void` | `setOninputmouseout(javax.el.ValueExpression __oninputmouseout)` HTML: a script expression; a pointer is moved away Setter for oninputmouseout
    `void` | `setOninputmouseover(javax.el.ValueExpression __oninputmouseover)` HTML: a script expression; a pointer is moved onto Setter for oninputmouseover
    `void` | `setOninputmouseup(javax.el.ValueExpression __oninputmouseup)` HTML: script expression; a pointer button is released Setter for oninputmouseup
    `void` | `setOnselect(javax.el.ValueExpression __onselect)` The client side script method to be called when some text is selected in the text field.
    `void` | `setOnupclick(javax.el.ValueExpression __onupclick)` HTML: a script expression; a button "Up" is clicked Setter for onupclick
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
    `void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
    `void` | `setStep(javax.el.ValueExpression __step)` Parameter that determines the step between nearest values while using controls.
    `void` | `setTabindex(javax.el.ValueExpression __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
    `void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
    `void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
    `void` | `setValue(javax.el.ValueExpression __value)` The current value of this component Setter for value
    `void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### InputNumberSpinnerTag

          public InputNumberSpinnerTag()

  - ### Method Detail

    - #### setAccesskey

          public void setAccesskey(javax.el.ValueExpression __accesskey)

      This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey
      Parameters:
        `accesskey` - - new value

    - #### setClientErrorMessage

          public void setClientErrorMessage(javax.el.ValueExpression __clientErrorMessage)

      An error message to use in client side validation events Setter for clientErrorMessage
      Parameters:
        `clientErrorMessage` - - new value

    - #### setConverter

          public void setConverter(javax.el.ValueExpression __converter)

      Id of Converter to be used or reference to a Converter Setter for converter
      Parameters:
        `converter` - - new value

    - #### setConverterMessage

          public void setConverterMessage(javax.el.ValueExpression __converterMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
      Parameters:
        `converterMessage` - - new value

    - #### setCycled

          public void setCycled(javax.el.ValueExpression __cycled)

      If "true" after the current value reaches the border value it is reversed to another border value after next increasing/decreasing. In other case possibilities of next increasing (or decreasing) will be locked. Default value is " true ". Setter for cycled
      Parameters:
        `cycled` - - new value

    - #### setDisableBrowserAutoComplete

          public void setDisableBrowserAutoComplete(javax.el.ValueExpression __disableBrowserAutoComplete)

      Disable browser's auto completion. Default value is "false" Setter for disableBrowserAutoComplete
      Parameters:
        `disableBrowserAutoComplete` - - new value

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression __disabled)

      When set for a form control, this boolean attribute disables the control for your input Setter for disabled
      Parameters:
        `disabled` - - new value

    - #### setEnableManualInput

          public void setEnableManualInput(javax.el.ValueExpression __enableManualInput)

      if "false" your's input to the text field using keyboard will be locked. Default value is "true" Setter for enableManualInput
      Parameters:
        `enableManualInput` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setInputClass

          public void setInputClass(javax.el.ValueExpression __inputClass)

      Class attribute for text field Setter for inputClass
      Parameters:
        `inputClass` - - new value

    - #### setInputSize

          public void setInputSize(javax.el.ValueExpression __inputSize)

      Attribute specifies the initial length of input in characters. Default value is "10". Setter for inputSize
      Parameters:
        `inputSize` - - new value

    - #### setInputStyle

          public void setInputStyle(javax.el.ValueExpression __inputStyle)

      Style attribute for text field Setter for inputStyle
      Parameters:
        `inputStyle` - - new value

    - #### setLabel

          public void setLabel(javax.el.ValueExpression __label)

      A localized user presentable name for this component. Setter for label
      Parameters:
        `label` - - new value

    - #### setMaxValue

          public void setMaxValue(javax.el.ValueExpression __maxValue)

      Maximum value. Default value is "100". Setter for maxValue
      Parameters:
        `maxValue` - - new value

    - #### setMinValue

          public void setMinValue(javax.el.ValueExpression __minValue)

      Minimum value. Default value is "0". Setter for minValue
      Parameters:
        `minValue` - - new value

    - #### setOnblur

          public void setOnblur(javax.el.ValueExpression __onblur)

      The client side script method to be called when the element loses the focus Setter for onblur
      Parameters:
        `onblur` - - new value

    - #### setOnchange

          public void setOnchange(javax.el.ValueExpression __onchange)

      The client side script method to be called when the element value is changed Setter for onchange
      Parameters:
        `onchange` - - new value

    - #### setOndownclick

          public void setOndownclick(javax.el.ValueExpression __ondownclick)

      HTML: a script expression; a button "Down" is clicked Setter for ondownclick
      Parameters:
        `ondownclick` - - new value

    - #### setOnerror

          public void setOnerror(javax.el.ValueExpression __onerror)

      HTML: a script expression; event fires whenever an JavaScript error occurs Setter for onerror
      Parameters:
        `onerror` - - new value

    - #### setOnfocus

          public void setOnfocus(javax.el.ValueExpression __onfocus)

      The client side script method to be called when the element gets the focus Setter for onfocus
      Parameters:
        `onfocus` - - new value

    - #### setOninputclick

          public void setOninputclick(javax.el.ValueExpression __oninputclick)

      HTML: a script expression; a pointer button is clicked Setter for oninputclick
      Parameters:
        `oninputclick` - - new value

    - #### setOninputdblclick

          public void setOninputdblclick(javax.el.ValueExpression __oninputdblclick)

      HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick
      Parameters:
        `oninputdblclick` - - new value

    - #### setOninputkeydown

          public void setOninputkeydown(javax.el.ValueExpression __oninputkeydown)

      HTML: a script expression; a key is pressed down Setter for oninputkeydown
      Parameters:
        `oninputkeydown` - - new value

    - #### setOninputkeypress

          public void setOninputkeypress(javax.el.ValueExpression __oninputkeypress)

      HTML: a script expression; a key is pressed and released Setter for oninputkeypress
      Parameters:
        `oninputkeypress` - - new value

    - #### setOninputkeyup

          public void setOninputkeyup(javax.el.ValueExpression __oninputkeyup)

      HTML: a script expression; a key is released Setter for oninputkeyup
      Parameters:
        `oninputkeyup` - - new value

    - #### setOninputmousedown

          public void setOninputmousedown(javax.el.ValueExpression __oninputmousedown)

      HTML: script expression; a pointer button is pressed down Setter for oninputmousedown
      Parameters:
        `oninputmousedown` - - new value

    - #### setOninputmousemove

          public void setOninputmousemove(javax.el.ValueExpression __oninputmousemove)

      HTML: a script expression; a pointer is moved within Setter for oninputmousemove
      Parameters:
        `oninputmousemove` - - new value

    - #### setOninputmouseout

          public void setOninputmouseout(javax.el.ValueExpression __oninputmouseout)

      HTML: a script expression; a pointer is moved away Setter for oninputmouseout
      Parameters:
        `oninputmouseout` - - new value

    - #### setOninputmouseover

          public void setOninputmouseover(javax.el.ValueExpression __oninputmouseover)

      HTML: a script expression; a pointer is moved onto Setter for oninputmouseover
      Parameters:
        `oninputmouseover` - - new value

    - #### setOninputmouseup

          public void setOninputmouseup(javax.el.ValueExpression __oninputmouseup)

      HTML: script expression; a pointer button is released Setter for oninputmouseup
      Parameters:
        `oninputmouseup` - - new value

    - #### setOnselect

          public void setOnselect(javax.el.ValueExpression __onselect)

      The client side script method to be called when some text is selected in the text field. This attribute can be used with the INPUT and TEXTAREA elements. Setter for onselect
      Parameters:
        `onselect` - - new value

    - #### setOnupclick

          public void setOnupclick(javax.el.ValueExpression __onupclick)

      HTML: a script expression; a button "Up" is clicked Setter for onupclick
      Parameters:
        `onupclick` - - new value

    - #### setRequired

          public void setRequired(javax.el.ValueExpression __required)

      If "true", this component is checked for non-empty input Setter for required
      Parameters:
        `required` - - new value

    - #### setRequiredMessage

          public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
      Parameters:
        `requiredMessage` - - new value

    - #### setStep

          public void setStep(javax.el.ValueExpression __step)

      Parameter that determines the step between nearest values while using controls. Default value is "1" Setter for step
      Parameters:
        `step` - - new value

    - #### setTabindex

          public void setTabindex(javax.el.ValueExpression __tabindex)

      This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex
      Parameters:
        `tabindex` - - new value

    - #### setValidator

          public void setValidator(javax.el.MethodExpression __validator)

      MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
      Parameters:
        `validator` - - new value

    - #### setValidatorMessage

          public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
      Parameters:
        `validatorMessage` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value of this component Setter for value
      Parameters:
        `value` - - new value

    - #### setValueChangeListener

          public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

      Listener for value changes Setter for valueChangeListener
      Parameters:
        `valueChangeListener` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2013. All Rights Reserved.